> For the complete documentation index, see [llms.txt](https://docs.instl.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.instl.sh/api/shields.io-badge.md).

# Shields.io Badge

Badge API for shields.io support

{% hint style="info" %}
This API can be used with the [Endpoint Badge](https://shields.io/badges/endpoint-badge) of shields.io to create badges for your `README.md`
{% endhint %}

## Installation count of specific repository

## Installation count badge

<mark style="color:blue;">`GET`</mark> `https://instl.sh/api/v1/badge/shields.io/stats/user/repo`

#### Path Parameters

| Name                                   | Type   | Description                    |
| -------------------------------------- | ------ | ------------------------------ |
| user<mark style="color:red;">\*</mark> | String | Owner of the GitHub repository |
| repo<mark style="color:red;">\*</mark> | String | Name of the GitHub repository  |

{% tabs %}
{% tab title="200: OK Shields.io badge schema response" %}

```javascript
{
    "color":"orange",
    "label":"installations",
    "message":"4",
    "schemaVersion":1
}
```

{% endtab %}
{% endtabs %}

## Total installations handled by instl&#x20;

## Total installations handled by instl badge

<mark style="color:blue;">`GET`</mark> `https://instl.sh/api/v1/badge/shields.io/stats/total`

{% tabs %}
{% tab title="200: OK Shields.io badge schema response" %}

```javascript
{
    "color":"orange",
    "label":"handled installations",
    "message":"1337",
    "schemaVersion":1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.instl.sh/api/shields.io-badge.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
